[问题]新立得软件管理器和apt-get都不能用了

系统安装、升级讨论
回复
tonghuaph
帖子: 28
注册时间: 2008-04-27 22:44
送出感谢: 0
接收感谢: 0
联系:

[问题]新立得软件管理器和apt-get都不能用了

#1

帖子 tonghuaph » 2008-05-07 16:28

正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
正在更正依赖关系... 失败。
下列的软件包有不能满足的依赖关系:
apt-utils: 依赖: libapt-pkg-libc6.6-6-4.5 但却无法安装它
aptitude: 依赖: libapt-pkg-libc6.6-6-4.5 但却无法安装它
dpkg: 换行符: apt (< 0.7.6ubuntu6) 但是 0.6.46.4ubuntu10 已经安装了
python-apt: 依赖: libapt-pkg-libc6.6-6-4.5 但却无法安装它
synaptic: 依赖: libapt-inst-libc6.4-6-1.1
E: 错误,pkgProblemResolver::Resolve 发生故障,这可能是有软件包被要求保持现状的缘故。
E: 无法更正依赖关系



这就是我在终端输入apt-get install 软件 时出现的情况!
而且我打开新立得软件管理器之后,有提示我输入密码,然后就什么也没有了。。。
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#2

帖子 dbzhang800 » 2008-05-07 16:30

先检查你设置的源是不是对的
tonghuaph
帖子: 28
注册时间: 2008-04-27 22:44
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 tonghuaph » 2008-05-07 16:45

dbzhang800
我用的是这个源:
deb http://ubuntu.cn99.com/ubuntu/ feisty main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ feisty-secrity main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ feisty-updates main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ feisty-proposed main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ feisty-backports main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ feisty main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ feisty-security main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ feisty-updates main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ feisty-proposed main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ feisty-backports main restricted universe multiverse

应该是对的吧。。。
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#4

帖子 dbzhang800 » 2008-05-07 16:49

如果你的系统是 (K/X/ed)ubuntu 7.04 的话,这个源应该没问题

如果不是,源就有问题,具体访问wiki

http://wiki.ubuntu.org.cn/Qref/Source
tonghuaph
帖子: 28
注册时间: 2008-04-27 22:44
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 tonghuaph » 2008-05-07 17:10

dbzhang800
我更改源之后还是打不开新立得。。。
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#6

帖子 dbzhang800 » 2008-05-07 17:20

代码: 全选

sudo apt-get update
sudo apt-get dist-upgrade

更新系统先
tonghuaph
帖子: 28
注册时间: 2008-04-27 22:44
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 tonghuaph » 2008-05-07 17:30

dbzhang800
更新了。。。还是不行!
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#8

帖子 dbzhang800 » 2008-05-07 17:37

贴出错消息,不要老是这么简短 :D
头像
alanoy
帖子: 12
注册时间: 2007-03-03 17:06
来自: China
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 alanoy » 2008-05-07 17:46

cn99的源有问题
回复

回到 “系统安装和升级”